diff --git a/CMakeLists.txt b/CMakeLists.txt
index c7fa1dd..0163b8a 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -21,15 +21,8 @@ set(pebble_le_SOURCES
     src/util.cpp)
 
 # Third-Party Dependencies
-add_subdirectory(third_party/SimpleBLE/simpleble EXCLUDE_FROM_ALL)
 add_subdirectory(third_party/binc/binc)
 
-set(SimpleBLE_INCLUDE_DIRS
-    ${CMAKE_SOURCE_DIR}/third_party/SimpleBLE/simpleble/include
-    ${CMAKE_SOURCE_DIR}/third_party/SimpleBLE/simplebluez/include
-    ${CMAKE_SOURCE_DIR}/third_party/SimpleBLE/simpledbus/include
-    ${CMAKE_BINARY_DIR}/third_party/SimpleBLE/simpleble/export)
-
 set(Binc_INCLUDE_DIRS
     ${CMAKE_SOURCE_DIR}/third_party/binc)
 
@@ -37,6 +30,8 @@ find_package(PkgConfig REQUIRED)
 pkg_search_module(GLIB REQUIRED glib-2.0)
 pkg_search_module(GIO REQUIRED gio-2.0)
 pkg_search_module(DBus1 REQUIRED dbus-1)
+pkg_search_module(SimpleBLE REQUIRED simpleble)
+pkg_search_module(SimpleBLUEZ REQUIRED simplebluez)
 
 # libpebble-le
 add_library(pebble-le_o OBJECT ${pebble_le_SOURCES})
@@ -54,12 +49,13 @@ set_target_properties(pebble-le PROPERTIES
 set_target_properties(pebble-le_static PROPERTIES
     OUTPUT_NAME pebble-le)
 
-target_include_directories(pebble-le_o PRIVATE ${Binc_INCLUDE_DIRS} ${SimpleBLE_INCLUDE_DIRS} ${DBus1_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS})
+target_include_directories(pebble-le_o PRIVATE ${Binc_INCLUDE_DIRS} ${SimpleBLE_INCLUDE_DIRS} ${SimpleBLUEZ_INCLUDE_DIRS} ${DBus1_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS})
 target_include_directories(pebble-le_o PUBLIC include ${CMAKE_BINARY_DIR}/exports)
 
 target_link_libraries(pebble-le_o PUBLIC
     Binc
-    simpleble
+    ${SimpleBLE_LIBRARIES}
+    ${SimpleBLUEZ_LIBRARIES}
     ${DBus1_LIBRARIES}
     ${GLIB_LIBRARIES}
     ${GIO_LIBRARIES})
